com.impinj.stp

## Interface StpApi.ReportOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    StpApi.Report, StpApi.Report.Builder
  Enclosing class:
    StpApi

      public static interface StpApi.ReportOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.CartonContentsReport` | `getCartonContentsReport()`
    `StpApi.CartonContentsReportOrBuilder` | `getCartonContentsReportOrBuilder()`
    `StpApi.DeviceEventReport` | `getDeviceEventReport()`
    `StpApi.DeviceEventReportOrBuilder` | `getDeviceEventReportOrBuilder()`
    `StpApi.OperationSummaryReport` | `getOperationSummaryReport()`
    `StpApi.OperationSummaryReportOrBuilder` | `getOperationSummaryReportOrBuilder()`
    `StpApi.TagOperationReport` | `getTagOperationReport()`
    `StpApi.TagOperationReportOrBuilder` | `getTagOperationReportOrBuilder()`
    `boolean` | `hasCartonContentsReport()`
    `boolean` | `hasDeviceEventReport()`
    `boolean` | `hasOperationSummaryReport()`
    `boolean` | `hasTagOperationReport()`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasDeviceEventReport

          boolean hasDeviceEventReport()

    - #### getDeviceEventReport

          StpApi.DeviceEventReport getDeviceEventReport()

    - #### getDeviceEventReportOrBuilder

          StpApi.DeviceEventReportOrBuilder getDeviceEventReportOrBuilder()

    - #### hasTagOperationReport

          boolean hasTagOperationReport()

    - #### getTagOperationReport

          StpApi.TagOperationReport getTagOperationReport()

    - #### getTagOperationReportOrBuilder

          StpApi.TagOperationReportOrBuilder getTagOperationReportOrBuilder()

    - #### hasOperationSummaryReport

          boolean hasOperationSummaryReport()

    - #### getOperationSummaryReport

          StpApi.OperationSummaryReport getOperationSummaryReport()

    - #### getOperationSummaryReportOrBuilder

          StpApi.OperationSummaryReportOrBuilder getOperationSummaryReportOrBuilder()

    - #### hasCartonContentsReport

          boolean hasCartonContentsReport()

    - #### getCartonContentsReport

          StpApi.CartonContentsReport getCartonContentsReport()

    - #### getCartonContentsReportOrBuilder

          StpApi.CartonContentsReportOrBuilder getCartonContentsReportOrBuilder()